Hardware Requirements

From exocad documentation

Jump to: navigation, search

"Full workstation" example configuration for using any exocad product

  • CPU: Intel Core-i7 - 2600 (Socket 1155)
  • RAM: 16GB
  • Graphics: Nvidia GTX 560 with 2GB Video RAM
  • Screen resolution: 1080p (1920x1080 or higher)
  • Power: 600 Watt

Minimum hardware configuration to run exocad DentalCAD

  • CPU: Quad-Core and 2.8 Ghz
  • RAM: 4GB
  • Graphics: Nvidia or AMD Radeon dedicated GPU with at least 1 GB graphics memory, OpenGL 4, DirectX 11.1, Shader Model 5 and a graphics driver dated August 2017 or newer.
  • Screen resolution: 1080p (1920x1080, or higher)
  • Power: 450 Watt

Special graphics card requirements for PartialCAD

  • The software will work with NVIDIA and AMD Radeon graphics cards only.
  • A minimum of 2GB graphics memory is required (3GB preferred). A minimum CUDA level of 3.0 or OpenCL 1.2 is also required. (see list of CUDA levels of different graphics cards).
  • Older or entry-level NVIDIA chips might not work well, or will result in poor performance.
  • Intel integrated graphics chips are not supported for PartialCAD.

Special graphics card requirements for DICOM Viewer

  • NVIDIA or AMD Radeon graphics card with 1,5GB video RAM or better

Special graphics card requirements for exoplan

  • NVIDIA or AMD Radeon graphics card with 2GB video RAM or better

Special graphics card requirements for ChairsideCAD

  • Additionally supported is hardware with an Intel GPU (HD 4600 or better) with at least 1 GB graphics memory, OpenGL 4, DirectX 11.1, Shader Model 5 and a graphics driver dated August 2017 or newer.


Software Requirements

Operating system requirements for any exocad product in the current version since 2016

  • Microsoft Windows 7 with at least SP1, 64 bit version
  • Microsoft Windows 8.1 64 bit version
  • Microsoft Windows 10 (versions 1607, 1703, 1709) 64 bit version

.Net requirements

  • Microsoft .NET Framework 2.0
  • Microsoft .NET Framework 3.5 SP1 and later
  • Microsoft .NET Framework 4.5.2 or 4.6.1 or 4.6.2 or 4.7.1

Be advised that in Windows 8 and 10, the installation of the .Net 3.5 SP1 framework cannot be done via Installer .NET 3.5 SP1 due to Microsoft restrictions. To perform the installation properly, please check the Framework checkboxes in the Features menu of your operating system. For more information please visit https://msdn.microsoft.com/en-us/library/hh506443(v=vs.110).aspx


PDF reader


Peripherals/Human Interface devices (HID)

  • Standard computer keyboard required
  • Standard computer mouse required
  • Multitouch screen optional/supported (not for exoplan)
  • 3D mouse (3D connexion) optional/supported. Please see here for supported 3D mice: http://www.3dconnexion.com/products/spacemouse.html. Please be advised that any special LED/display-powered 3D mouse macros/buttons are not supported.
  • 3D mouse (SpaceController) optional/supported. Please see here for supported 3D mice: http://www.spacecontrol.de. Please be advised that any special LED/display-powered 3D mouse macros/buttons are not supported. Requires exocad DentalCAD 2.2 Valletta.
  • A free USB slot is required to connect the USB license copy protection dongle (HID device).
  • Internet connection is generally recommended. For subscription-based licences, a permanent internet connection is required.
Personal tools
German